Finalize Installation
POST
https://api.vercel.com/v1/installations/{integrationConfigurationId}/billing/finalizeThis endpoint allows the partner to mark an installation as finalized. This means you will not send any more invoices for the installation. Use this after a customer has requested uninstall and you have sent any remaining invoices. This will allow the uninstall process to proceed immediately after all invoices have been paid.
Use the
Use the
credentials.access_token we provided in the Upsert Installation body to authorize this request.https://api.vercel.com/v1/installations/{integrationConfigurationId}/billing/finalize
const response = await fetch('https://api.vercel.com/v1/installations/integrationConfigurationId/billing/finalize', { method: 'POST', headers: { 'Authorization': 'Bearer YOUR_ACCESS_TOKEN', 'Content-Type': 'application/json', },});
const data = await response.json();console.log(data);Response
{}AuthorizationbearerToken
Default authentication mechanism